"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

require("./header.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Header = function Header(_ref) {
  var children = _ref.children,
      className = _ref.className,
      title = _ref.title;
  return _react.default.createElement("header", {
    className: "react-modable-modal-header".concat(className ? " ".concat(className) : '')
  }, children || _react.default.createElement("h2", null, title));
};

Header.defaultProps = {
  children: undefined,
  className: undefined,
  title: undefined
};
Header.propTypes = {
  children: _propTypes.default.oneOfType([_propTypes.default.arrayOf(_propTypes.default.node), _propTypes.default.node]),
  className: _propTypes.default.string,
  title: _propTypes.default.string
};
var _default = Header;
exports.default = _default;